From: Christian Kastner <ckk@kvr.at>
Date: Sat, 22 Nov 2014 20:50:39 +0100
Subject: Move arch-indep files to /usr/share

Within Debian, arch-independent files shouldn't be in /usr/lib.

Forwarded: not-needed
Last-Update: 2014-11-22
---
 gitinspector/format.py       | 4 ++--
 gitinspector/localization.py | 2 +-
 setup.py                     | 6 ++++--
 3 files changed, 7 insertions(+), 5 deletions(-)

diff --git a/gitinspector/format.py b/gitinspector/format.py
index 9202d6f..471d861 100644
--- a/gitinspector/format.py
+++ b/gitinspector/format.py
@@ -59,7 +59,7 @@ def __output_html_template__(name):
 
 def output_header():
 	if __selected_format__ == "html" or __selected_format__ == "htmlembedded":
-		base = basedir.get_basedir()
+		base = "/usr/share/gitinspector"
 		html_header = __output_html_template__(base + "/html/html.header")
 		tablesorter_js = None
 		flot_js = None
@@ -114,7 +114,7 @@ def output_header():
 
 def output_footer():
 	if __selected_format__ == "html" or __selected_format__ == "htmlembedded":
-		base = basedir.get_basedir()
+		base = "/usr/share/gitinspector"
 		html_footer = __output_html_template__(base + "/html/html.footer")
 		print(html_footer)
 	elif __selected_format__ == "xml":
diff --git a/gitinspector/localization.py b/gitinspector/localization.py
index 6dc8969..efe41bd 100644
--- a/gitinspector/localization.py
+++ b/gitinspector/localization.py
@@ -61,7 +61,7 @@ def init():
 					os.environ['LANG'] = lang[0]
 
 			if lang[0] is not None:
-				filename = basedir.get_basedir() + "/translations/messages_%s.mo" % lang[0][0:2]
+				filename = "/usr/share/gitinspector/translations/messages_%s.mo" % lang[0][0:2]
 
 				try:
 					__translation__ = gettext.GNUTranslations(open(filename, "rb"))
diff --git a/setup.py b/setup.py
index 9875de1..8294038 100644
--- a/setup.py
+++ b/setup.py
@@ -45,8 +45,10 @@ setup(
 		"Topic :: Utilities"
 	],
 	packages = find_packages(exclude = ['tests']),
-	package_data = {"": ["html/*", "translations/*"]},
-	data_files = [("share/doc/gitinspector", glob("*.txt"))],
+	data_files = [("share/doc/gitinspector", glob("*.txt")),
+			("share/gitinspector/html", glob("gitinspector/html/*")),
+			("share/gitinspector/translations", glob("gitinspector/translations/*")),
+			("share/doc/gitinspector", glob("*.txt"))],
 	entry_points = {"console_scripts": ["gitinspector = gitinspector.gitinspector:main"]},
 	zip_safe = False
 )
